package com.prolog.cs.biz.inbound.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 采购订单DTO
 * 
 * @author Xiong
 *
 */
public class BillDTO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1966442509571143601L;
	private String billid;
	private String billno;
	private List<BillLineDTO> billLineList;

	private String shipmentProvinceName;
	private String shipLineId;
	private String agent;
	private String mtlOwnerName;
	private BigDecimal pieceQty;
	private BigDecimal taTe;
	private Date createdate;
	private String vendorId;
	private String itemCategoryCode;
	private Date shipArriveTime;
	private String vendorCode;
	private String shipperType;
	private BigDecimal remainqty;
	private String carrierName;
	private String saleBillNo;
	private String needUser;
	private String mtlOwnerNum;
	private String asnAutoBillNum;
	private String saleBillType;
	private String examineState;
	private BigDecimal totWeight;
	private Date lastmodifydate;
	private String shipmentCountryName;
	private String srcBillId;
	private String delivererContactTel;
	private String rcvType;
	private String shipperid;
	private String orgName;
	private Date attainDate;
	private String orgnId;
	private String branchareaid;
	private String orgnNum;
	private String customerNum;
	private String shipmentDistrictNo;
	private Date billDate;
	private String shipmentTownName;
	private String vendorName;
	private String buyerMane;
	private String srcBillType;
	private String customerName;
	private String asnRemark;
	private String shipmentCommunityNo;
	private String warehouseId;
	private String shipmentCityNo;
	private String shipType;
	private String returnType;
	private String status;
	private String shipmentAddress;
	private String shipmentProvinceNo;
	private String warehouseAreaCode;
	private String shipFromAdd;
	private String branchAddress;
	private String asnHeaderId;
	private String remark;
	private String warehouseName;
	private String lastmodifyby;
	private String warehouseCode;
	private String arrivalMode;
	private String shipmentCityName;
	private String bizUser;
	private String createby;
	private BigDecimal totVolume;
	private String priorityLevel;
	private String customerId;
	private String shippername;
	private String pEnterprisename;
	private String department;
	private String shipperZjm;
	private Date auditDate;
	private String shippercode;
	private String shipmentDistrictName;
	private Integer onPassageDays;
	private String closedReason;
	private String shipmentCommunityName;
	private String rtReason;
	private String shipmentTownNo;
	private String shipmentCountryNo;
	private String mtlOwnerId;
	private String needDept;
	private String srcAutoBillNum;
	private Date expirationdate;
	private String transportationParty;
	private BigDecimal taTi;
	private BigDecimal caseQty;
	private String buyerNum;
	private String enterpriseId;
	private String carrierId;

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public List<BillLineDTO> getBillLineList() {
		return billLineList;
	}

	public void setBillLineList(List<BillLineDTO> billLineList) {
		this.billLineList = billLineList;
	}

	public String getShipmentProvinceName() {
		return shipmentProvinceName;
	}

	public void setShipmentProvinceName(String shipmentProvinceName) {
		this.shipmentProvinceName = shipmentProvinceName;
	}

	public String getShipLineId() {
		return shipLineId;
	}

	public void setShipLineId(String shipLineId) {
		this.shipLineId = shipLineId;
	}

	public String getAgent() {
		return agent;
	}

	public void setAgent(String agent) {
		this.agent = agent;
	}

	public String getMtlOwnerName() {
		return mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public BigDecimal getTaTe() {
		return taTe;
	}

	public void setTaTe(BigDecimal taTe) {
		this.taTe = taTe;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getVendorId() {
		return vendorId;
	}

	public void setVendorId(String vendorId) {
		this.vendorId = vendorId;
	}

	public String getItemCategoryCode() {
		return itemCategoryCode;
	}

	public void setItemCategoryCode(String itemCategoryCode) {
		this.itemCategoryCode = itemCategoryCode;
	}

	public Date getShipArriveTime() {
		return shipArriveTime;
	}

	public void setShipArriveTime(Date shipArriveTime) {
		this.shipArriveTime = shipArriveTime;
	}

	public String getVendorCode() {
		return vendorCode;
	}

	public void setVendorCode(String vendorCode) {
		this.vendorCode = vendorCode;
	}

	public String getShipperType() {
		return shipperType;
	}

	public void setShipperType(String shipperType) {
		this.shipperType = shipperType;
	}

	public BigDecimal getRemainqty() {
		return remainqty;
	}

	public void setRemainqty(BigDecimal remainqty) {
		this.remainqty = remainqty;
	}

	public String getCarrierName() {
		return carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getSaleBillNo() {
		return saleBillNo;
	}

	public void setSaleBillNo(String saleBillNo) {
		this.saleBillNo = saleBillNo;
	}

	public String getNeedUser() {
		return needUser;
	}

	public void setNeedUser(String needUser) {
		this.needUser = needUser;
	}

	public String getMtlOwnerNum() {
		return mtlOwnerNum;
	}

	public void setMtlOwnerNum(String mtlOwnerNum) {
		this.mtlOwnerNum = mtlOwnerNum;
	}

	public String getAsnAutoBillNum() {
		return asnAutoBillNum;
	}

	public void setAsnAutoBillNum(String asnAutoBillNum) {
		this.asnAutoBillNum = asnAutoBillNum;
	}

	public String getSaleBillType() {
		return saleBillType;
	}

	public void setSaleBillType(String saleBillType) {
		this.saleBillType = saleBillType;
	}

	public String getExamineState() {
		return examineState;
	}

	public void setExamineState(String examineState) {
		this.examineState = examineState;
	}

	public BigDecimal getTotWeight() {
		return totWeight;
	}

	public void setTotWeight(BigDecimal totWeight) {
		this.totWeight = totWeight;
	}

	public Date getLastmodifydate() {
		return lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getShipmentCountryName() {
		return shipmentCountryName;
	}

	public void setShipmentCountryName(String shipmentCountryName) {
		this.shipmentCountryName = shipmentCountryName;
	}

	public String getSrcBillId() {
		return srcBillId;
	}

	public void setSrcBillId(String srcBillId) {
		this.srcBillId = srcBillId;
	}

	public String getDelivererContactTel() {
		return delivererContactTel;
	}

	public void setDelivererContactTel(String delivererContactTel) {
		this.delivererContactTel = delivererContactTel;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getShipperid() {
		return shipperid;
	}

	public void setShipperid(String shipperid) {
		this.shipperid = shipperid;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public Date getAttainDate() {
		return attainDate;
	}

	public void setAttainDate(Date attainDate) {
		this.attainDate = attainDate;
	}

	public String getOrgnId() {
		return orgnId;
	}

	public void setOrgnId(String orgnId) {
		this.orgnId = orgnId;
	}

	public String getBranchareaid() {
		return branchareaid;
	}

	public void setBranchareaid(String branchareaid) {
		this.branchareaid = branchareaid;
	}

	public String getOrgnNum() {
		return orgnNum;
	}

	public void setOrgnNum(String orgnNum) {
		this.orgnNum = orgnNum;
	}

	public String getCustomerNum() {
		return customerNum;
	}

	public void setCustomerNum(String customerNum) {
		this.customerNum = customerNum;
	}

	public String getShipmentDistrictNo() {
		return shipmentDistrictNo;
	}

	public void setShipmentDistrictNo(String shipmentDistrictNo) {
		this.shipmentDistrictNo = shipmentDistrictNo;
	}

	public Date getBillDate() {
		return billDate;
	}

	public void setBillDate(Date billDate) {
		this.billDate = billDate;
	}

	public String getShipmentTownName() {
		return shipmentTownName;
	}

	public void setShipmentTownName(String shipmentTownName) {
		this.shipmentTownName = shipmentTownName;
	}

	public String getVendorName() {
		return vendorName;
	}

	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	public String getBuyerMane() {
		return buyerMane;
	}

	public void setBuyerMane(String buyerMane) {
		this.buyerMane = buyerMane;
	}

	public String getSrcBillType() {
		return srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getCustomerName() {
		return customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public String getAsnRemark() {
		return asnRemark;
	}

	public void setAsnRemark(String asnRemark) {
		this.asnRemark = asnRemark;
	}

	public String getShipmentCommunityNo() {
		return shipmentCommunityNo;
	}

	public void setShipmentCommunityNo(String shipmentCommunityNo) {
		this.shipmentCommunityNo = shipmentCommunityNo;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getShipmentCityNo() {
		return shipmentCityNo;
	}

	public void setShipmentCityNo(String shipmentCityNo) {
		this.shipmentCityNo = shipmentCityNo;
	}

	public String getShipType() {
		return shipType;
	}

	public void setShipType(String shipType) {
		this.shipType = shipType;
	}

	public String getReturnType() {
		return returnType;
	}

	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getShipmentAddress() {
		return shipmentAddress;
	}

	public void setShipmentAddress(String shipmentAddress) {
		this.shipmentAddress = shipmentAddress;
	}

	public String getShipmentProvinceNo() {
		return shipmentProvinceNo;
	}

	public void setShipmentProvinceNo(String shipmentProvinceNo) {
		this.shipmentProvinceNo = shipmentProvinceNo;
	}

	public String getWarehouseAreaCode() {
		return warehouseAreaCode;
	}

	public void setWarehouseAreaCode(String warehouseAreaCode) {
		this.warehouseAreaCode = warehouseAreaCode;
	}

	public String getShipFromAdd() {
		return shipFromAdd;
	}

	public void setShipFromAdd(String shipFromAdd) {
		this.shipFromAdd = shipFromAdd;
	}

	public String getBranchAddress() {
		return branchAddress;
	}

	public void setBranchAddress(String branchAddress) {
		this.branchAddress = branchAddress;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getLastmodifyby() {
		return lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public String getWarehouseCode() {
		return warehouseCode;
	}

	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getArrivalMode() {
		return arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getShipmentCityName() {
		return shipmentCityName;
	}

	public void setShipmentCityName(String shipmentCityName) {
		this.shipmentCityName = shipmentCityName;
	}

	public String getBizUser() {
		return bizUser;
	}

	public void setBizUser(String bizUser) {
		this.bizUser = bizUser;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public BigDecimal getTotVolume() {
		return totVolume;
	}

	public void setTotVolume(BigDecimal totVolume) {
		this.totVolume = totVolume;
	}

	public String getPriorityLevel() {
		return priorityLevel;
	}

	public void setPriorityLevel(String priorityLevel) {
		this.priorityLevel = priorityLevel;
	}

	public String getCustomerId() {
		return customerId;
	}

	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}

	public String getShippername() {
		return shippername;
	}

	public void setShippername(String shippername) {
		this.shippername = shippername;
	}

	public String getpEnterprisename() {
		return pEnterprisename;
	}

	public void setpEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getShipperZjm() {
		return shipperZjm;
	}

	public void setShipperZjm(String shipperZjm) {
		this.shipperZjm = shipperZjm;
	}

	public Date getAuditDate() {
		return auditDate;
	}

	public void setAuditDate(Date auditDate) {
		this.auditDate = auditDate;
	}

	public String getShippercode() {
		return shippercode;
	}

	public void setShippercode(String shippercode) {
		this.shippercode = shippercode;
	}

	public String getShipmentDistrictName() {
		return shipmentDistrictName;
	}

	public void setShipmentDistrictName(String shipmentDistrictName) {
		this.shipmentDistrictName = shipmentDistrictName;
	}

	public Integer getOnPassageDays() {
		return onPassageDays;
	}

	public void setOnPassageDays(Integer onPassageDays) {
		this.onPassageDays = onPassageDays;
	}

	public String getClosedReason() {
		return closedReason;
	}

	public void setClosedReason(String closedReason) {
		this.closedReason = closedReason;
	}

	public String getShipmentCommunityName() {
		return shipmentCommunityName;
	}

	public void setShipmentCommunityName(String shipmentCommunityName) {
		this.shipmentCommunityName = shipmentCommunityName;
	}

	public String getRtReason() {
		return rtReason;
	}

	public void setRtReason(String rtReason) {
		this.rtReason = rtReason;
	}

	public String getShipmentTownNo() {
		return shipmentTownNo;
	}

	public void setShipmentTownNo(String shipmentTownNo) {
		this.shipmentTownNo = shipmentTownNo;
	}

	public String getShipmentCountryNo() {
		return shipmentCountryNo;
	}

	public void setShipmentCountryNo(String shipmentCountryNo) {
		this.shipmentCountryNo = shipmentCountryNo;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getNeedDept() {
		return needDept;
	}

	public void setNeedDept(String needDept) {
		this.needDept = needDept;
	}

	public String getSrcAutoBillNum() {
		return srcAutoBillNum;
	}

	public void setSrcAutoBillNum(String srcAutoBillNum) {
		this.srcAutoBillNum = srcAutoBillNum;
	}

	public Date getExpirationdate() {
		return expirationdate;
	}

	public void setExpirationdate(Date expirationdate) {
		this.expirationdate = expirationdate;
	}

	public String getTransportationParty() {
		return transportationParty;
	}

	public void setTransportationParty(String transportationParty) {
		this.transportationParty = transportationParty;
	}

	public BigDecimal getTaTi() {
		return taTi;
	}

	public void setTaTi(BigDecimal taTi) {
		this.taTi = taTi;
	}

	public BigDecimal getCaseQty() {
		return caseQty;
	}

	public void setCaseQty(BigDecimal caseQty) {
		this.caseQty = caseQty;
	}

	public String getBuyerNum() {
		return buyerNum;
	}

	public void setBuyerNum(String buyerNum) {
		this.buyerNum = buyerNum;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getCarrierId() {
		return carrierId;
	}

	public void setCarrierId(String carrierId) {
		this.carrierId = carrierId;
	}

}
